Subject: Re: [Ice] Peter's review of ICEbis - Much of the spec is much more complicated than it otherwise would be because a media stream has more than one component.

From: Christer Holmberg <[email-masked]>
Date: Thu, 1 Jun 2017 11:55:51 +0000

Hi,

A couple of things to keep in mind if we want to remove the component concept.

First, a search for “component” gives 95 hits, and the usage is spread out all over the document. It would be quite a big task to remove it. We could of course recommend to use use multiple streams instead of multiple components, but one would still have to support it.

Second, would removal of components be backward compatible with legacy ICE devices?

Regards,

Christer

From: Ice <[email-masked]<mailto:[email-masked]>> on behalf of Christer Holmberg <[email-masked]<mailto:[email-masked]>>
Date: Thursday 1 June 2017 at 09:22
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Ice] Peter's review of ICEbis - Much of the spec is much more complicated than it otherwise would be because a media stream has more than one component.

Hi,

>I think it's OK if we completely special case this... special case.  Just say something like "ancient endpoints which do silly things like not multiplex RTCP and RTP
>over the same media stream will use two media streams and in this case the streams are not useful unless both succeed".
>
>What else is there to say?

Currently section 6.2.5.4 says the following:

   "If there is a valid pair for each component in the
   VALID LIST, the state of the check list is set to Succeeded."

Now, if we REMOVE (I assume that is what you are suggesting?) the whole component concept that text would obviously go away. But, at the same time we remove the requirement to have a valid RTCP- and RTP pair in order for a CHECK LIST state to be set to Succeeded.

Regards,

Christer

On Sun, May 28, 2017 at 11:44 PM Christer Holmberg <[email-masked]<mailto:[email-masked]>> wrote:
Hi,

> - Much of the spec is much more complicated than it otherwise would be because a media stream has more than one component.  Would it make sense
> to define a check list as representing a single component of a single media stream rather than multiple components?  That would make the rules and states around check lists much more simple.

I have been thinking the same thing :)

However, in that case I think we need to talk about certain media streams being “dependent" on each other, and that checks for both streams (e.g., one RTP stream and one RTCP stream) must succeed in order to the streams to be used (unless BUNDLE is used, of course).

Regards,

Christer